# norootforbuild

Name:          perl-Getopt-ArgvFile
Version:       1.11
Release:       0.pm.7.1
Summary:       Perl Module to interpolate Script Options from Files into @ARGV
Source:        http://search.cpan.org/CPAN/authors/id/J/JS/JSTENZEL/Getopt-ArgvFile-%{version}.tar.gz
URL:           http://search.cpan.org/dist/Getopt-ArgvFile/
Group:         Development/Libraries/Perl
License:       Perl License
BuildRoot:     %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires: make perl dos2unix
BuildRequires:  perl-macros
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: perl(Test::Pod) >= 1.00


%description
This module simply interpolates option file hints in @ARGV by the contents of
the pointed files. This enables option reading from files instead of or
additional to the usual reading from the command line.

Alternatively, you can process any array instead of @ARGV which is used by
default and mentioned mostly in this manual.

The interpolated @ARGV could be subsequently processed by the usual option
handling, e.g. by a Getopt::xxx module. Getopt::ArgvFile does not perform any
option handling itself, it only prepares the array @ARGV.




Authors:
--------
    Jochen Stenzel <perl@jochen-stenzel.de>

%prep
%setup -q -n "Getopt-ArgvFile-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL
dos2unix Changes

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/Getopt
%{perl_vendorlib}/Getopt/ArgvFile.pm
%dir %{perl_vendorarch}/auto/Getopt
%{perl_vendorarch}/auto/Getopt/ArgvFile
%doc %{perl_man3dir}/Getopt::ArgvFile.%{perl_man3ext}*

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Nov 23 2010 pth@suse.de
- Create a .chnages file.
- Add BuildRequires for Test::Pod::Coverage and Test::Pod for
  complete testing.
* Sat Jun 13 2009 pascal.bleser@opensuse.org
- new package
